#ifndef PARSER_MARKDOWN_H
#define PARSER_MARKDOWN_H

#include "parser.h"
#include "maddy/parser.h"
class ParserMarkdown : public Parser
{
private:
	std::string processLink(const PageDao &pageDao, UrlProvider &urlProvider, std::smatch &match) const;

public:
	ParserMarkdown();
	std::vector<Headline> extractHeadlines(std::string content) const;
	std::string parse(const PageDao &pagedao, UrlProvider &provider, std::string content) const;
};

#endif // PARSER_MARKDOWN_H
